Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLTextAreaElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLTextAreaElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLTextAreaElement, Node

public class JRexHTMLTextAreaElementImpl
extends JRexHTMLElementImpl
implements HTMLTextAreaElement

A class implementing org.w3c.dom.html2.HTMLTextAreaElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLTextAreaElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `blur()` Removes keyboard focus from this element.
`void` | `focus()` Gives keyboard focus to this element.
`String` | `getAccessKey()` A single character access key to give access to the form control.
`int` | `getCols()` Width of control (in characters).
`String` | `getDefaultValue()` Represents the contents of the element.
`boolean` | `getDisabled()` The control is unavailable in this context.
`HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.
`String` | `getName()` Form control or object name when submitted with a form.
`boolean` | `getReadOnly()` This control is read-only.
`int` | `getRows()` Number of text rows.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`String` | `getType()` The type of this form control.
`String` | `getValue()` Represents the current contents of the corresponding form control, in an interactive user agent.
`void` | `select()` Select the contents of the `TEXTAREA`.
`void` | `setAccessKey(String accessKey)` A single character access key to give access to the form control.
`void` | `setCols(int cols)` Width of control (in characters).
`void` | `setDefaultValue(String defaultValue)` Represents the contents of the element.
`void` | `setDisabled(boolean disabled)` The control is unavailable in this context.
`void` | `setName(String name)` Form control or object name when submitted with a form.
`void` | `setReadOnly(boolean readOnly)` This control is read-only.
`void` | `setRows(int rows)` Number of text rows.
`void` | `setTabIndex(int tabIndex)` Index that represents the element's position in the tabbing order.
`void` | `setValue(String value)` Represents the current contents of the corresponding form control, in an interactive user agent.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getDefaultValue

    public String getDefaultValue()

  Description copied from interface: `HTMLTextAreaElement`
  Represents the contents of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes.

  Specified by:
    `getDefaultValue` in interface `HTMLTextAreaElement`

### setDefaultValue

    public void setDefaultValue(String defaultValue)

  Description copied from interface: `HTMLTextAreaElement`
  Represents the contents of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes.

  Specified by:
    `setDefaultValue` in interface `HTMLTextAreaElement`

### getForm

    public HTMLFormElement getForm()

  Description copied from interface: `HTMLTextAreaElement`
  Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

  Specified by:
    `getForm` in interface `HTMLTextAreaElement`

### getAccessKey

    public String getAccessKey()

  Description copied from interface: `HTMLTextAreaElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.01.

  Specified by:
    `getAccessKey` in interface `HTMLTextAreaElement`

### setAccessKey

    public void setAccessKey(String accessKey)

  Description copied from interface: `HTMLTextAreaElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.01.

  Specified by:
    `setAccessKey` in interface `HTMLTextAreaElement`

### getCols

    public int getCols()

  Description copied from interface: `HTMLTextAreaElement`
  Width of control (in characters). See the cols attribute definition in HTML 4.01.

  Specified by:
    `getCols` in interface `HTMLTextAreaElement`

### setCols

    public void setCols(int cols)

  Description copied from interface: `HTMLTextAreaElement`
  Width of control (in characters). See the cols attribute definition in HTML 4.01.

  Specified by:
    `setCols` in interface `HTMLTextAreaElement`

### getDisabled

    public boolean getDisabled()

  Description copied from interface: `HTMLTextAreaElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.01.

  Specified by:
    `getDisabled` in interface `HTMLTextAreaElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Description copied from interface: `HTMLTextAreaElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.01.

  Specified by:
    `setDisabled` in interface `HTMLTextAreaElement`

### getName

    public String getName()

  Description copied from interface: `HTMLTextAreaElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.01.

  Specified by:
    `getName` in interface `HTMLTextAreaElement`

### setName

    public void setName(String name)

  Description copied from interface: `HTMLTextAreaElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.01.

  Specified by:
    `setName` in interface `HTMLTextAreaElement`

### getReadOnly

    public boolean getReadOnly()

  Description copied from interface: `HTMLTextAreaElement`
  This control is read-only. See the readonly attribute definition in HTML 4.01.

  Specified by:
    `getReadOnly` in interface `HTMLTextAreaElement`

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Description copied from interface: `HTMLTextAreaElement`
  This control is read-only. See the readonly attribute definition in HTML 4.01.

  Specified by:
    `setReadOnly` in interface `HTMLTextAreaElement`

### getRows

    public int getRows()

  Description copied from interface: `HTMLTextAreaElement`
  Number of text rows. See the rows attribute definition in HTML 4.01.

  Specified by:
    `getRows` in interface `HTMLTextAreaElement`

### setRows

    public void setRows(int rows)

  Description copied from interface: `HTMLTextAreaElement`
  Number of text rows. See the rows attribute definition in HTML 4.01.

  Specified by:
    `setRows` in interface `HTMLTextAreaElement`

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `HTMLTextAreaElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

  Specified by:
    `getTabIndex` in interface `HTMLTextAreaElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Description copied from interface: `HTMLTextAreaElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

  Specified by:
    `setTabIndex` in interface `HTMLTextAreaElement`

### getType

    public String getType()

  Description copied from interface: `HTMLTextAreaElement`
  The type of this form control. This the string "textarea".

  Specified by:
    `getType` in interface `HTMLTextAreaElement`

### getValue

    public String getValue()

  Description copied from interface: `HTMLTextAreaElement`
  Represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the contents of the element. If the entirety of the data can not fit into a single `DOMString`, the implementation may truncate the data.

  Specified by:
    `getValue` in interface `HTMLTextAreaElement`

### setValue

    public void setValue(String value)

  Description copied from interface: `HTMLTextAreaElement`
  Represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the contents of the element. If the entirety of the data can not fit into a single `DOMString`, the implementation may truncate the data.

  Specified by:
    `setValue` in interface `HTMLTextAreaElement`

### blur

    public void blur()

  Description copied from interface: `HTMLTextAreaElement`
  Removes keyboard focus from this element.

  Specified by:
    `blur` in interface `HTMLTextAreaElement`

### focus

    public void focus()

  Description copied from interface: `HTMLTextAreaElement`
  Gives keyboard focus to this element.

  Specified by:
    `focus` in interface `HTMLTextAreaElement`

### select

    public void select()

  Description copied from interface: `HTMLTextAreaElement`
  Select the contents of the `TEXTAREA`.

  Specified by:
    `select` in interface `HTMLTextAreaElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.